Skip to main content
PATCH
/
v1
/
scheduled-runs
/
{scheduled_run_id}
curl --request PATCH \ --url https://api.coval.dev/v1/scheduled-runs/{scheduled_run_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "enabled": false } '
{
  "scheduled_run": {
    "name": "scheduled-runs/xyz789uvw456rst123abcd",
    "id": "xyz789uvw456rst123abcd",
    "display_name": "Hourly Health Check",
    "run_template_id": "abc123def456ghi789jklm",
    "schedule_expression": "rate(1 hour)",
    "schedule_timezone": "UTC",
    "enabled": true,
    "last_run_at": "2025-10-15T14:15:00Z",
    "last_run_id": "8EktrIgaVxn9LfxkIynagX",
    "create_time": "2025-10-14T12:00:00Z",
    "update_time": "2025-10-15T15:00:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

scheduled_run_id
string
required

Scheduled run resource ID

Pattern: ^[A-Za-z0-9]{22}$

Body

application/json

Partial update request (PATCH semantics - only provided fields are updated)

display_name
string

Human-readable schedule name

Required string length: 1 - 200
Example:

"Updated Schedule Name"

run_template_id
string

Run template to execute

Pattern: ^[A-Za-z0-9]{22}$
Example:

"abc123def456ghi789jklm"

schedule_expression
string

Schedule expression in rate or cron format

Maximum string length: 200
Example:

"rate(1 hour)"

schedule_timezone
string

IANA timezone for cron expressions

Maximum string length: 100
Example:

"UTC"

enabled
boolean

Enable or disable the schedule

Example:

false

Response

Scheduled run updated successfully

scheduled_run
object
required

Scheduled run configuration resource.